%define major 0
%define libname %mklibname %{name}-core %{major}

Summary:	Toolset to accelerate the boot process as well as application startups
Name:		e4rat
Version:	0.2.3
Release:	%mkrel 8
License:	GPLv3
Group:		System/Boot and Init
URL:		http://e4rat.sourceforge.net/
Source0:	http://sourceforge.net/projects/e4rat/files/%{name}_%{version}_src.tar.gz
Patch1:		e4rat-0.2.2-libdir.patch
Patch2:		e4rat-0.2.3-shared-build.patch
# (tv) fix build:
Patch3:		e4rat-fix-build.diff
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	ext2fs-devel
BuildRequires:	libblkid-devel
BuildRequires:	audit-devel
BuildRequires:	auparse-devel
BuildRequires:	libstdc++-devel

%description
e4rat ("Ext4 - Reducing Access Times") is a toolset to accelerate the boot
process as well as application startups. Through physical file realloction
e4rat eliminates both seek times and rotational delays. This leads to a high
disk transfer rate.

Placing files on disk in a sequentially ordered way allows to efficiently
read-ahead files in parallel to the program startup. The combination of
sequentially reading and a high cache hit rate may reduce the boot time by a
factor of three, as the example below shows.

e4rat is based on the online defragmentation ioctl EXT4_IOC_MOVE_EXT from the
Ext4 filesystem, which was introduced in Linux Kernel 2.6.31. Other filesystem
types and/or earlier versions of extended filesystems are not supported. 

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
Main library for %{name}.

%prep
%setup -q
%apply_patches

%build
%cmake
%make

%install
%makeinstall_std -C build
mkdir -p %buildroot/var/lib/e4rat

%files
%doc README
%config %{_sysconfdir}/%{name}.conf
%{_sbindir}/%{name}-collect
%{_sbindir}/%{name}-preload
%{_sbindir}/%{name}-realloc
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}-collect.8*
%{_mandir}/man8/%{name}-preload.8*
%{_mandir}/man8/%{name}-realloc.8*
%dir /var/lib/e4rat

%files -n %{libname}
%exclude %{_libdir}/lib*%{name}-core.so
%{_libdir}/lib*%{name}-core.so.%{major}




%changelog

* Thu Apr 11 2013 ennael <ennael> 0.2.3-8.mga3
+ Revision: 409488
- rebuild for boost 1.53

* Tue Jan 22 2013 tv <tv> 0.2.3-7.mga3
+ Revision: 391052
- adjust group
- fix another mdvism pulling devel packages...

* Fri Jan 18 2013 tv <tv> 0.2.3-6.mga3
+ Revision: 389446
- library does not need main package...

* Thu Jan 17 2013 tv <tv> 0.2.3-5.mga3
+ Revision: 389195
- create /var/lib/e4rat

* Fri Jan 11 2013 umeabot <umeabot> 0.2.3-4.mga3
+ Revision: 349239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 tv <tv> 0.2.3-3.mga3
+ Revision: 341316
- fix bogus libification from mdv...

* Mon Jan 07 2013 tv <tv> 0.2.3-2.mga3
+ Revision: 341315
- do not BR audit (broken by glibc)
- patch 3: fix build
- fix bogus URL
- imported package e4rat


* Mon Jan 07 2013 Thierry Vignaud <tv@mageia.org> 0.2.3-1.mga3
- import from mdv
- clean spec

* Tue May 08 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.3-1
+ Revision: 797625
- drop patch 0
- Patch1: fix lib dir on install
- Patch2: check for libraries in corrent places, and use dynamic linking
- clean spec file
- add conflicts on preload
- update to new version 0.2.3

* Wed May 11 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.2.1-1
+ Revision: 673556
- Imported to cooker.
  P0: enable dynamic linking.
- Created package structure for e4rat.

